RDKit: RDKit::ConstBondIterator_ Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::ConstBondIterator_ Class Reference

const iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess. More...

`#include <BondIterators.h>`

## Public Member Functions
| ConstBondIterator_ ()
| ConstBondIterator_ (ROMol const *mol)
| ConstBondIterator_ (ROMol const *mol, ROMol::EDGE_ITER pos)
| ConstBondIterator_ (const ConstBondIterator_ &other)
ConstBondIterator_ & | operator= (const ConstBondIterator_ &other)
bool | operator== (const ConstBondIterator_ &other) const
bool | operator!= (const ConstBondIterator_ &other) const
Bond const * | operator* () const
ConstBondIterator_ & | operator++ ()
ConstBondIterator_ | operator++ (int)
ConstBondIterator_ & | operator-- ()
ConstBondIterator_ | operator-- (int)

## Detailed Description

const iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess.

Definition at line 51 of file BondIterators.h.

## Constructor & Destructor Documentation

RDKit::ConstBondIterator_::ConstBondIterator_ | ( |  | ) |
| inline

Definition at line 53 of file BondIterators.h.

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | ROMol const * | mol | ) |

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | ROMol const * | mol,
|  | ROMol::EDGE_ITER | pos
| ) |  |

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | const ConstBondIterator_ & | other | ) |

## Member Function Documentation

bool RDKit::ConstBondIterator_::operator!= | ( | const ConstBondIterator_ & | other | ) | const

Bond const* RDKit::ConstBondIterator_::operator* | ( |  | ) | const

ConstBondIterator_& RDKit::ConstBondIterator_::operator++ | ( |  | ) |

ConstBondIterator_ RDKit::ConstBondIterator_::operator++ | ( | int |  | ) |

ConstBondIterator_& RDKit::ConstBondIterator_::operator-- | ( |  | ) |

ConstBondIterator_ RDKit::ConstBondIterator_::operator-- | ( | int |  | ) |

ConstBondIterator_& RDKit::ConstBondIterator_::operator= | ( | const ConstBondIterator_ & | other | ) |

bool RDKit::ConstBondIterator_::operator== | ( | const ConstBondIterator_ & | other | ) | const

The documentation for this class was generated from the following file:

- BondIterators.h